Stormers vs Dragons RFC · United Rugby Championship
United Rugby Championship · 2025-26Full time
29–21

Match report
Stormers beat Dragons RFC 29-21 at DHL Stadium, Cape Town in round 13 of the United Rugby Championship on Sunday, 22 March 2026.
That makes it two wins in a row for Stormers. Andrew Brace refereed.
Written automatically from the match data; updated as results come in.
Head to head
5
Stormers wins (100%)
0
Draws (0%)
0
Dragons RFC wins (0%)
Last 5 meetings, since October 2021
Biggest Stormers win
48–12
10 May 2025
Last 5 meetings
- 22 Mar 2026 · United Rugby ChampionshipStormers29Dragons RFC2122 Mar 2026Stormers29–21Dragons RFCUnited Rugby Championship
- 10 May 2025 · United Rugby ChampionshipStormers48Dragons RFC1210 May 2025Stormers48–12Dragons RFCUnited Rugby Championship
- 10 May 2024 · United Rugby ChampionshipDragons RFC21Stormers4410 May 2024Dragons RFC21–44StormersUnited Rugby Championship
- 3 Dec 2022 · United Rugby ChampionshipStormers34Dragons RFC263 Dec 2022Stormers34–26Dragons RFCUnited Rugby Championship
- 15 Oct 2021 · United Rugby ChampionshipDragons RFC10Stormers2415 Oct 2021Dragons RFC10–24StormersUnited Rugby Championship
Lineups
Avg. age
28.9
Avg. age
28
Stormers
- 1Vernon Matongo(24)
- 2JJ Kotze(25)
- 3Neethling Fouche(33)
- 4Adre Smith(29)
- 5JD Schickerling(31)
- 6Deon Fourie(40)
- 7Marcel Theunissen(27)
- 8Evan Roos(26)
- 9Imad Khan(22)
- 10Sacha Feinberg-Mngomezulu(24)
- 11Leolin Zas(31)
- 12Daniel Du Plessis(31)
- 14Seabelo Senatla(33)
- 15Damian Willemse(28)
Replacements
- 16André-Hugo Venter(25)
- 17Ntuthuko Mchunu(27)
- 18Sazi Sandi(28)
- 19Ben-Jason Dixon(28)
- 20Paul de Villiers(23)
- 21Hacjivah Dayimani(29)
- 22Stefan Ungerer(32)
- 23Wandisile Simelane(28)
Dragons RFC
- 1Jordan Morris(22)
- 2Elliot Dee(32)
- 3Christian Coleman(28)
- 4Levi Douglas(31)
- 5Seb Davies(30)
- 6Ryan Woodman(22)
- 7Harry Beddall(21)
- 8Harrison Keddie(30)
- 9Rhodri Williams(33)
- 10Angus O'Brien(32)
- 11Rio Dyer(26)
- 12Aneurin Owen(26)
- 13Fetuli Paea(32)
- 14Jared Rosser(28)
- 15Cai Evans(27)
Replacements
- 16Brodie Coghlan(25)
- 17Wyn Jones(34)
- 18Owain James(21)
- 19Barny Langton(25)
- 20Thomas Young(34)
- 21Niall Armstrong(27)
- 23Fine Inisi(28)